#!/bin/bash
#SBATCH --job-name sc10x.dispatch
#SBATCH -p 256GB,256GBv1,384GB
#SBATCH -N 1
#SBATCH -t 7-0:0:0
#SBATCH -o job_%j.out
#SBATCH -e job_%j.out
#SBATCH --mail-type ALL
#SBATCH --mail-user gervaise.henry@utsouthwestern.edu

module load gdal
module load cairo/1.14.8
module load R/4.0.2-gccmkl 
module load hdf5_18/1.8.17
Rscript ../r.scripts/sc-TissueMapper_RAW.R --p "$1" --s "$2" --m "$3"
Rscript ../r.scripts/sc-TissueMapper_ID.R --p "$1" --s "$2" --o "$4"
